## Agende, scadenze & progetti
Abinaria@MAG6
19/01/2021

![demoPicture](/images/agenda/calendario_copertina.jpg)
<!-- .element: width="80%" -->

---
### Situazione attuale
![demoPicture](/images/agenda/mag_bil_cons.jpg) <!--.element: class="fragment" width="40%" -->
![demoPicture](/images/agenda/mag_turni.png) <!-- .element: class="fragment" width="40%" -->
![demoPicture](/images/agenda/mag_mansionario.png) <!-- .element: class="fragment" width="40%" -->

---
#### Necessità individuate 1/3 (Turni/Disponibilità)
- Gestione turni per attività a rotazione:
 - Settimanale
 - Impegni individuali
 - Pochi compiti specifici (segreteria, posta, etc)

- Calendari personali disponibilità: 
 - Settimanale
 - Impegni individuali o collettivi (collaborazione o gruppi) 
 - Slot orari comuni, con flessibilità individuale
 - Legenda comune, con flessibilità individuale

---
#### Necessità individuate 2/3 (Progetti/Attività)
- Dalle procedure per bilanci e estratti conto: 
 - Procedure annuali/cicliche soggette a revisioni collettive per responsabilità e scadenze
 - Impegni individuali e a gruppi
 - Attività e sottoattività con dipendenze e scadenze
 - Creazione, condivisione e approvazioni di documenti (anche con revisioni esterne)
 - Dipendenze: documenti esterni, revisioni ind/coll/ass, lavori ind/coll/ass
 - Scadenze: date (fiscali e non), "entro n giorni", incontri/riunioni/assemblee

---
### Necessità individuate 3/3 (Responsabilità)
- Dal mansionario: 
 - Suddivisione in macroaree/aree
 - Gruppi (anche individuali) di responsabilità 

---
### Parole chiave
- Lavoro/calendari condivisi (***Groupware***)
- Gestione attività (***Project Management***)

![demoPicture](/images/agenda/lista_sw.png) <!-- .element: width="50%" -->
<p>Tabella di confronto dei software per il project management da Wikipedia</p><!-- .element: style="font-size:0.3em" -->

---
### Criteri applicati
- FLOSS
- Priorità alla gestione dei calendari
- Supporto per progetti e responsabilità
- Non ultra-specializzato
- Complessità utilizzo approcciabile
- Complessità mantenimento approcciabile
- Esperienza dagli incontri precedenti (BBB)

<blockquote>Nota: eventuali programmi futuri potrebbero ridefinire i criteri</blockquote><!-- .element: style="text-align: center;" -->

Note: se si vuole passare alle gestione di tutti i progetti tramite un gestionale diverso,o un project management piu' complesso, o allargare l'utilizzo della piattaforma a tutti i soci, o ... comunque i concetti rimangono validi

---
### NextCloud

![demoPicture](/images/agenda/nc_sito.png) <!-- .element: width="70%" --><br>
https://nextcloud.com
<blockquote>Oggi vedremo solo alcune funzionalità e non un'introduzione completa</blockquote><!-- .element: style="font-size:0.7em" -->

Note: inizia come applicazione di filesharing

---
### Login

![demoPicture](/images/agenda/nc_login.png) <!-- .element: width="80%" -->

Note: applicazione per Android, tema configurabile a piacere

---
### Cruscotto (*Dashboard*)
![demoPicture](/images/agenda/nc_cruscotto.png) <!-- .element: width="80%" -->

Note: nuova in questa versione, default ma opzionale,  configurabile negli elementi, 
---
### Interfaccia e barra
![demoPicture](/images/agenda/nc_barra.png) <!-- .element: width="80%" -->

---
### Menu amministratore
![demoPicture](/images/agenda/nc_menu_admin.png) <!-- .element: width="80%" -->

Note: gestione utenti anche se admin di un gruppo

---
### Applicazioni
![demoPicture](/images/agenda/nc_applicazioni.png) <!-- .element: width="80%" -->

Note: spesso, non sempre, corrispondono ad un'icona nella barra

---
### Gestione Utenti e Gruppi
![demoPicture](/images/agenda/nc_utenti.png) <!-- .element: width="80%" -->
<p>Solo per *Admin* o *Group Admin*</p>

Note: solo alcuni sono amministratori, creazione 

---
### Menu utente
![demoPicture](/images/agenda/nc_menu_utente.png) <!-- .element: width="80%" -->

---
### Impostazioni personali
![demoPicture](/images/agenda/nc_impostazioni_utente.png) <!-- .element: width="80%" -->

Note: email, lingua, localizzazione

---
### Calendario personale
![demoPicture](/images/agenda/nc_calendario_personale.png) <!-- .element: width="80%" -->

Note: visualizzazioni mensili, settimanali, giornaliera, elenco.. 

---
### Calendario - Impostazioni
![demoPicture](/images/agenda/nc_calendario_impostazioni.png) <!-- .element: width="80%" -->

---
### Creazione evento
![demoPicture](/images/agenda/nc_evento_barra.png) <!-- .element: width="80%" -->
Visualizzazione ***Barra laterale***

---
### Dettagli evento

<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_dettagli.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Luogo, descrizione</li>
<li>Confermato/Provvisorio/Annullato</li>
<li>Visibilità se condiviso (Si, No, Parziale)</li>
<li>Libero o occupato</li>
<li>Categorie, colore</li>
</ul></div>
</div>

---
### Partecipanti evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_partecipanti.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Utenti</li>
<li>Inviti via mail</li>
<li>Inviti a contatti esterni (con conferma)
<li>**Non** si possono invitare gruppi</li>
<li>Presidente/necessario/facoltativo</li>
</ul></div>
</div>

---
### Pianificazione evento
![demoPicture](/images/agenda/nc_evento_orari.png) <!-- .element: width="80%" -->

---
### Promemoria evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_promemoria.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Promeria multipli</li>
<li>Notifica e/o email</li>
<li>Minuti/ore/giorni/settimane prima</li>
<li>In data precisa</li>
</ul></div>
</div>

---
### Ripetizioni evento
<div style="display:flex">
![demoPicture](/images/agenda/nc_evento_ripeti.png) <!-- .element: width="20%" -->
<div><ul> 
<li>Giorno/settimana/mese/anno</li>
<li>Scelta avanzata: quali giorni della settimana, il giorno tale del mese, il primo lunedì di gennaio, etc</li>
<li>Ripetizione può terminare dopo una certa data o un certo numero di eventi</li>
<li>**Gli eventi sono modificabili individualmente**</li>
</ul></div>
</div>

---
### Creare un calendario
![demoPicture](/images/agenda/nc_calendario_creazione.png) <!-- .element: width="80%" -->

---
### Condividere un calendario
![demoPicture](/images/agenda/nc_calendario_condivisione.png) <!-- .element: width="80%" -->
<blockquote>
Condivisione con utenti e gruppi, solo lettura o modifica
</blockquote><!-- .element: style="font-size:0.8em"-->

---
### Modifica cal condiviso
![demoPicture](/images/agenda/nc_calendario_modifica_condiviso.png) <!-- .element: width="80%" -->
<blockquote>
Le modifiche su un calendario condiviso valgono solo per il singolo utente
</blockquote><!-- .element: style="font-size:0.8em" -->
---
### Mille calendari!
![demoPicture](/images/agenda/nc_calendario_segreteria_bis.png) <!-- .element: width="80%" -->
<blockquote>
I calendari si possono visualizzare/disattivare individualmente
</blockquote><!-- .element: style="font-size:0.8em" -->

Note: attivabili e disattivabili, giorno intero vs orari, visibilita' limitata

---
### Mensile
![demoPicture](/images/agenda/nc_calendario_segreteria_mensile.png) <!-- .element: width="80%" -->

---
### Attività (*Tasks*)
![demoPicture](/images/agenda/nc_task.png) <!-- .element: width="80%" -->
<blockquote>
Condivisibili come per i calendari 
</blockquote><!-- .element: style="font-size:0.8em" -->

---
### Lista attività
<div style="display:flex">
![demoPicture](/images/agenda/nc_task_schema.png) <!-- .element: width="40%" -->
<div><ul> 
<li>Supporta la suddivisione in sottoattività</li>
<li>Ordinabili per data/priorità/manualmente/...</li>
<li>Genera un calendario</li>
<li>**Non** supportano l'assegnazione a utenti/gruppi</li>
</ul></div>
</div>

---
### Dettagli attività
<div style="display:flex">
![demoPicture](/images/agenda/nc_task_dettaglio.png) <!-- .element: width="30%" -->
<div><ul> 
<li>Data inizio/fine</li>
<li>Stato: Richiede azione/In corso/Completata/Annullata</li>
<li>Priorità</li>
<li>Descrizione e Categoria</li>
<li>Percentuale completamento</li>
</ul></div>
</div>

---
### Attività: cal mensile
![demoPicture](/images/agenda/nc_task_calendario_mensile.png) <!-- .element: width="80%" -->

---
### Attività: cal eventi
![demoPicture](/images/agenda/nc_task_calendario_eventi.png) <!-- .element: width="80%" -->
<blockquote>
Gli eventi sono comunque limitati per mese
</blockquote>
---
### Schede (*Deck*)


---
### Altro
- Deck -> Attivita' -> Calendario
- meccanismi di dipendenze
- Progetti
- Talk
- cartelle condivise
- cerchie
- Supporto App
- GDPR
- Dual Factor

